function calcDisplacement(section,nIntervals)
% CALCDISPLACEMENT Calculates the estimated displacements
% for an acceleration response. This is carried out by
% the subroutine acc2disp, provided by NTNU.
%
% INPUT:        section:        Specifying the section for analysis
%               nIntervals:     Number of intervals in analysis   
%

load('Recording');

[Fs,~,t] = setDate(recording);

H = readAcceleration(recording);

for i = 1:9
    D{i} = acc2disp(H{i},Fs);
end

D = D{section};

t = reshape(t,[],nIntervals);
D = reshape(D,[],nIntervals);

% Plotting the estimated displacements
for i = 1:nIntervals
    figure
    plot(t(:,i),D(:,i),'DurationTickFormat','hh:mm:ss',...
        'Linewidth',1)
    ylabel('u_{z} [m]')
    set(gca,'Fontsize',30,'Linewidth',2)
end
